#!/usr/bin/env python3
# coding: utf-8

"""
Bridge from nextflow function call to hicstuff's python function for cutsite
"""

import argparse
import hicstuff.cutsite as hc

if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument("-r1", "--reads1")
    parser.add_argument("-r2", "--reads2")
    parser.add_argument("-e", "--enzyme")
    parser.add_argument("-o1", "--output1")
    parser.add_argument("-o2", "--output2")
    parser.add_argument("-m", "--mode")
    parser.add_argument("-s", "--seed")
    parser.add_argument("-c", "--n_cpu")
    args = parser.parse_args()

    reads1 = args.reads1
    reads2 = args.reads2
    enzyme = args.enzyme
    out1 = args.output1
    out2 = args.output2
    mode = args.mode
    seed_size = int(args.seed)
    n_cpu = int(args.n_cpu)


    #hicstuff case sensitive enzymes adaptation
    if enzyme == "hindiii":
        enzyme = "HindIII"
    elif enzyme == "dpnii":
        enzyme = "DpnII"
    elif enzyme == "bglii":
        enzyme = "BglII"
    elif enzyme == "mboi":
        enzyme = "MboI"
    elif enzyme == "arima":
        enzyme = "DpnII,HinfI"

    hc.cut_ligation_sites(reads1, reads2, out1, out2, enzyme, mode, seed_size, n_cpu)
