#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import sys
import argparse
import hicstuff.filter as hf
import hicstuff.log as hcl

if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument("-i", "--input")
    parser.add_argument("-o", "--output")
    parser.add_argument("-p", "--prefix")
    parser.add_argument("-l", "--plot")
    parser.add_argument("-d", '--dist_plot')
    parser.add_argument("-q", "--pie_plot")
    args = parser.parse_args()

    pairs_idx = args.input
    pairs_out = args.output
    prefix = args.prefix
    pairs_out = prefix+"_"+pairs_out
    plot = args.plot
    if plot.lower() == "false":
        plot = False
    elif plot.lower() == "true":
        plot = True
    dist_plot = args.dist_plot
    if dist_plot == "None":
        dist_plot = None
    else:
        dist_plot = prefix+"_"+dist_plot
    pie_plot = args.pie_plot
    if pie_plot == "None":
        pie_plot = None
    else:
        pie_plot = prefix+"_"+pie_plot

    log_file = "hicstuff_filter.log"
    sys.stdout = open ("hicstuff_filter.log", "wt")
    hcl.set_file_handler(log_file)

    uncut_thr, loop_thr = hf.get_thresholds(
        pairs_idx, plot_events=plot, fig_path=dist_plot, prefix=prefix
        )

    hf.filter_events(
        pairs_idx,
        pairs_out,
        uncut_thr,
        loop_thr,
        plot_events=plot,
        fig_path=pie_plot,
        prefix=prefix
        )

