process FILTER_EVENT {
    tag "$meta1.id"
    label 'process_high'

    container = "docker.io/lbmc/hicstuff:3.2.3"

    input:
    tuple val(meta1), path(idx_pairs)

    output:
    tuple val(meta1), path("*_valid_idx_filtered.pairs"), emit: idx_pairs_filtered
    path("*.png"), optional: true
    path("*.log"), emit: log_file

    script:

    def args = task.ext.args ?: ''

    """
    hicstuff_filter.py -i ${idx_pairs} -p ${meta1.id} ${args}

    mv hicstuff_filter.log hicstuff_${meta1.id}_filter.log
    """
}
