process FRAGMENT_ENZYME {
    tag "$digestion"
    label "process_single"

    container = "docker.io/lbmc/hicstuff:3.2.3"

    input:
    val(digestion)
    tuple val(meta), path(fasta)

    output:
    tuple val(meta), path(params.hicstuff_output_contigs) , emit: info_contigs
    tuple val(meta), path(params.hicstuff_output_frags), emit: fragments_list
    path("*.pdf"), optional: true
    path "versions.yml", emit: versions

    script:

    def args = task.ext.args ?: ''

    """
    hicstuff_fragments.py -e ${digestion} -i ${fasta} ${args}

    cat <<-END_VERSIONS > versions.yml
    "${task.process}":
        hicstuff: v3.1.3)
    END_VERSIONS
    """

}
